//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
partial class MessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool YesNoDialog(string text)
{
   return YesNoDialog( (WF.IWin32Window)null, text );
}

//--------------------------------------------------------------------------------------------------

public static bool YesNoDialog([HOptional] WF.IWin32Window owner,string text)
{
   return YesNoDialog( owner, text, null );
}

//==================================================================================================

public static bool YesNoDialog(string text,[HOptional] string caption)
{
   return YesNoDialog( (ShowMessageExtraInfo)null, text, caption );
}

public static bool YesNoDialog(string text,[HOptional] string caption,bool defaultYesButton)
{
   return YesNoDialog( (ShowMessageExtraInfo)null, text, caption, defaultYesButton );
}

//--------------------------------------------------------------------------------------------------

public static bool YesNoDialog( [HOptional] WF.IWin32Window owner,
                                string text, [HOptional] string caption )
{
   return YesNoDialog( (ShowMessageExtraInfo)null, owner, text, caption );
}

public static bool YesNoDialog( [HOptional] WF.IWin32Window owner, string text,
                                [HOptional] string caption, bool defaultYesButton )
{
   return YesNoDialog( (ShowMessageExtraInfo)null, owner, text, caption, defaultYesButton );
}

//==================================================================================================

public static bool YesNoDialog(string text,[HOptional] string caption,WF.MessageBoxIcon icon)
{
   return YesNoDialog( (ShowMessageExtraInfo)null, text, caption, icon );
}

public static bool YesNoDialog( string text, [HOptional] string caption,
                                WF.MessageBoxIcon icon, bool defaultYesButton )
{
   return YesNoDialog( (ShowMessageExtraInfo)null, text, caption, icon, defaultYesButton );
}

//--------------------------------------------------------------------------------------------------

public static bool YesNoDialog( [HOptional] WF.IWin32Window owner,
                                string text, [HOptional] string caption,
                                WF.MessageBoxIcon icon )
{
   return YesNoDialog( (ShowMessageExtraInfo)null, owner, text, caption, icon );
}

public static bool YesNoDialog( [HOptional] WF.IWin32Window owner,
                                string text, [HOptional] string caption,
                                WF.MessageBoxIcon icon, bool defaultYesButton )
{
   return YesNoDialog( (ShowMessageExtraInfo)null,
      owner, text, caption, icon, defaultYesButton );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // MessageBox
//**************************************************************************************************

} // WFX
